commit e288652b65a103c64161307281116b838c5df643
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Mon Aug 10 14:53:29 2026 -0700

    Updates for release

commit ff6a88c1f3be9c60557a40b5cb93875f70c91e26
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Aug 7 23:37:26 2026 -0700

    Add xfw_monitor_get_edid()

commit cb7344c00e31d00ab0fd181bc73da2361b7b203c
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Aug 7 21:09:40 2026 -0700

    Support the xfce-output-private-v1 protocol
    
    This gives us (on Wayland):
    
    * Workarea
    * Primary monitor
    * Monitor serial number
    
    Also EDID and current monitor-with-pointer, but neither of those are
    exposed by XfwMonitor.
    
    This also fixes the output commit/done sequence handling so initial
    properties are collected properly before adding the output.
    
    Closes #67

commit 83ffd4ac83920ecd7ad190e997539d7a60c8dd60
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Aug 1 09:26:45 2026 +0200

    build: Add missing check for bind_textdomain_codeset
    
    Fixes: #66, #68

commit d61ffca578bd134542696ca41c7c4269d6f5837f
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jul 25 00:47:43 2026 +0200

    I18n: Update translation sk (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 38e4af203491be7c69765215993ebe19f23b0ab3
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Jul 3 15:49:35 2026 -0700

    Implement xfce-foreign-toplevel-management-private-v1
    
    Implements the rest of the window states for Wayland, as well as a few
    more operations, as well as the window->workspace mapping.
    
    This also restructures XfwWindowWayland so that it collects property
    changes and waits for the 'done' event before committing those changes
    and emitting signals.  This was necessary because window state now comes
    from two separate protocol objects, and that state needs to be kept in
    sync, not to mention it's not great to fire state-changed twice when it
    should only be fired once.  This is really how it should have been
    implemented in the first place, as it follows the intent of the wlr
    protocol's 'done' event.
    
    Closes #65

commit b33b057fcf184fb9ccc39f1e9df81f8df11cedac
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Jul 3 15:52:26 2026 -0700

    Remove G_GNUC_CONST
    
    See https://gitlab.xfce.org/xfce/libxfce4ui/-/work_items/149

commit df4dae9dd2b846ea6f477d3a2a66f8b6b3dd4f49
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jun 7 16:24:21 2026 +0200

    gobject-linter: Fix property_enum_coverage

commit 268c116719651fab6b7db9d81304d7f25fa633bd
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jun 7 16:21:57 2026 +0200

    gobject-linter: Fix missing_implementation

commit c303c001543071bdf722a14ecfb521f748ce875a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jun 7 16:21:08 2026 +0200

    gobject-linter: Fix use_g_steal_pointer

commit 5f2c0ffc988433171f854a61fe76763e092b8216
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jun 7 16:14:45 2026 +0200

    gobject-linter: Fix g_param_spec_static_strings

commit 6c507ead1c4801bce9f92291f7afcc359072506e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jun 7 16:13:04 2026 +0200

    gobject-linter: Fix use_clear_functions

commit 0baf8b93230da47b7e17a93cefd2858e03dfbad5
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jun 7 16:03:38 2026 +0200

    gobject-linter: Fix matching_declare_define

commit 69aa99a788739a1fcb30baae29619c23c923c961
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jun 7 15:45:35 2026 +0200

    gobject-linter: Fix property_switch_exhaustiveness

commit 673e4ef337dab605c53f842ee026e36e848b66c5
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jun 7 00:46:18 2026 +0200

    I18n: Update translation cs (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 05ee1eacf90b2a4f2530253b6b78f836cd99cfd2
Author: correctmost <11866-correctmost@users.noreply.gitlab.xfce.org>
Date:   Fri Jun 5 02:38:42 2026 -0400

    cppcheck: Fix invalidPrintfArgType_sint warning in test code
    
    xfw_monitor_get_scale() returns a guint.

commit 50e1360fb3b3f03780c9f99ed3ef3df4b1253d3b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jun 5 12:43:24 2026 +0200

    Fix includes that should use double quotes

commit 312ed4fde4cd319ce9a8b1a856fe5177e51a6a14
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jun 4 20:05:44 2026 +0200

    cppcheck: Fix knownConditionTrueFalse

commit ee2bf685241e78a152b05d060571def2a50a1993
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jun 4 20:00:48 2026 +0200

    cppcheck: Fix unreadVariable

commit feda1ff69653cd3f1891d12ee3a5ac80b668e509
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jun 4 19:57:41 2026 +0200

    cppcheck: Fix invalidPrintfArgType_sint

commit 412929b616fb5ad0572178003353e31d23cad432
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jun 4 19:54:38 2026 +0200

    scan-build: Update false positive file after clang version bump

commit b3bf5f90136d72d039b86db80f68eb84d56d5566
Author: dernett <aburnett@tutamail.com>
Date:   Sun May 31 14:17:56 2026 -0700

    Fix fallback icons for pixmaps path

commit 1ec5a0bb973837653c7363b25f33d480c7230470
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sun May 24 23:01:18 2026 -0700

    Back to development

commit 04b6c7aae9797c75e7eef96457d7e93b68c36b49
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sun May 24 22:58:16 2026 -0700

    Updates for release

commit c68b87c5ef87d7cee5c5a7f0dc90f1b6088c7aff
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sun May 24 20:30:42 2026 -0700

    Add xfw_screen_get_monitor_for_gdk_monitor()

commit d9bcb4a3a9fd5cb29b2da2fbb711e6dc9f568848
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sun May 24 20:29:23 2026 -0700

    Add missing "New in 4.20.6" docs section

commit 0068e9141a56735134b3c24d28917104d573483d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun May 17 10:43:02 2026 +0200

    Add missing chain up to parent class
    
    Fixes: #61

commit c53e860067264a921b3f49239647d63aae9039c8
Author: Anonymous <noreply@xfce.org>
Date:   Thu Apr 30 12:46:04 2026 +0200

    I18n: Update translation ko (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 63183b2d22d2b0407d41e586eb2b2d73485d085e
Author: Anonymous <noreply@xfce.org>
Date:   Fri Apr 24 00:48:00 2026 +0200

    I18n: Update po/LINGUAS list

commit e0e915c6b9cc3e81c402a05b703b929acaf54df6
Author: Anonymous <noreply@xfce.org>
Date:   Fri Apr 24 00:48:00 2026 +0200

    I18n: Add new translation lo (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e164118249de62aa18605ee605b73fa679d84ad1
Author: Anonymous <noreply@xfce.org>
Date:   Fri Apr 17 12:46:05 2026 +0200

    I18n: Update translation ru (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 20e9db45ffe1893bc2027ebd4e07b67b4bd60e63
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Mar 29 10:36:47 2026 +0200

    XfwMonitor: Fix (xdg_)output_done event handling
    
    It appears that the correct interpretation of the xdg-output protocol
    for versions 3 and later is that the compositor must emit an output_done
    event for all wl_output and xdg_output events, rather than one for each
    group of events. This seems reasonable, and this is how at least labwc,
    wayfire, and niri interpret it, so it seems we can stick with this.
    
    In particular, this addresses the lack of notification for fractional
    scaling changes, which requires calling finalize_output().

commit b0ea7affc0d024e43ba0cfcee867c843bd5ffc37
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 28 00:46:27 2026 +0100

    I18n: Update translation tr (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ad96c7863e819c9d73ca79a440ffe0d609495705
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Mar 26 21:36:06 2026 +0100

    XfwMonitor: Fix typo and initialize class member

commit a11e6a50115353fda82a5ea785693b7eeac5a83c
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Mar 27 05:41:05 2026 -0700

    Ignore workarea/workspace count mismatches
    
    Some WMs are not fully compliant and set a _NET_WORKAREA array that is
    smaller than the number of workspaces.  And some don't set it at all.
    If we don't have a workarea for a particular workspace, just use the
    full monitor geometry.
    
    Closes #59

commit 4109590976f209224b3ee2008fb8ba55c7b9c54c
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Mar 27 01:30:31 2026 -0700

    Fix incorrect max to clamp workspace number to

commit 40cc088f7eacf08a9d3b472d2550455683096f3f
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 25 12:46:47 2026 +0100

    I18n: Update translation ka (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 34ea30b779b6f1ab36c1e854ce85a7d2ece8754b
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Wed Jan 28 00:08:35 2026 -0800

    Implement workspace geometry for wayland

commit 7b07b658697b91f9e47e0c1b8aa4c53a087659b2
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Tue Jan 27 23:41:15 2026 -0800

    Add XfwWorkspace:geometry property
    
    Closes #58

commit 7efc1b5149d33da5ab4a3b5f6a15bbfd0cfe05d6
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Tue Jan 27 00:42:39 2026 -0800

    Fix missing workspace signal connections in test program

commit 44902698e10a3d87c4e29534cc437236e4e5b632
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Mon Jan 26 22:17:07 2026 -0800

    Add test program to enumerate workspaces

commit f17d578a880bf1a279d50ec88f8aed36de05ea48
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Mon Jan 26 22:15:23 2026 -0800

    Fix X11 workspace geometry and layout getting out of date
    
    libwnck doesn't provide any kind of notification (signal or
    property-notify) for the geometry or layout bits.  I really don't love
    doing it this way, but on a 10-second timer, it re-fetches the data,
    checks for changes, and notifies if they've changed.

commit c3adf00c3abf942fa2dc7d73e09af0bd62919545
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Mon Jan 26 23:18:42 2026 -0800

    Fix incorrect col & row ordering for Wayland workspace coordinates
    
    The first coordinate in the array is the x coordinate (column), and
    second is y (row).

commit ae32d47d1211d56a33bff979309d4894aaf17338
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Mon Jan 26 17:40:46 2026 -0800

    Fix width -> height typo for XfwWorkspaceX11 geometry

commit b39840b79ee51927375efa1212902f97ab16c199
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Mon Jan 5 22:49:28 2026 -0800

    Add fallback monitor on X11 if XRandR doesn't report anything
    
    It turns out that many apps (including xfdesktop and probably others)
    don't behave very well if there are no monitors.  This happens on
    fully headless systems, but is especially annoying on a headless system
    with x11vnc running (as libxfce4windowing-using apps will think there
    are no monitors, even when a VNC client is connected).
    
    GDK has a fallback case for this: if XRandR reports no monitors (or is
    unsupported), a default monitor is created that uses the X11 Display
    pointer to fill in the monitor's parameters.  Here we do something
    similar.
    
    Closes #56

commit 9b1e7e18343f927f9946960977804230f3fbc16d
Author: Balló György <ballogyor@gmail.com>
Date:   Sun Jan 18 10:56:41 2026 +0100

    Don't depend on wayland-scanner and wayland-protocols
    
    wayland-scanner and wayland-protocols are needed to build
    libxfce4windowing, but not for dependent projects. It's not needed to
    specify them in the pkg-config file.

commit d63c81cb6e0d7feb36766a7b877a084755f07496
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jan 16 09:28:20 2026 +0100

    XfwWindowWayland: Connect to XfwScreen::monitor-added
    
    Also necessary in some cases. This should fix persistent bugs, such as
    window buttons not always appearing at startup in the panel (or when
    changing display settings), when monitor filtering is enabled.

commit dbda3cafbfd9f4348dc7d4ab898dd5e9bca3e063
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jan 16 07:46:57 2026 +0100

    XfwWindowWayland: Connect to XfwScreen::monitor-removed
    
    In the wlr-foreign-toplevel-management protocol, there is no clear
    requirement for a compositor to emit the output_leave event when an
    output is removed and a window was on it (more generally, there is no
    requirement to emit output_leave if output_enter has been emitted, only
    the reverse). It seems that labwc, for example, has stopped doing this
    since a certain version (otherwise I suppose the bug would have come up
    before, as it causes a crash). In any case, it is better to check, when
    an output is removed, that it is not in the list of window outputs.
    
    Fixes: #57

commit 1dbd85e87f812e875bca833d379eef85e2f85326
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jan 10 12:46:24 2026 +0100

    I18n: Update translation kk (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e4e86b0025c84efc063f54de7a518c4109ec48d3
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Dec 29 17:18:18 2025 +0100

    Back to development

commit 67410753b271555d081117f5227ca8d53c289135
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Dec 29 17:07:19 2025 +0100

    Updates for release

commit c930704a70c9607d85bebc749d3c00e052f5960c
Author: Anonymous <noreply@xfce.org>
Date:   Sun Dec 28 00:45:56 2025 +0100

    I18n: Update translation sl (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7f86028ab95fc2abf798f61f285c5d2e75e71d87
Author: Anonymous <noreply@xfce.org>
Date:   Sat Dec 13 00:47:01 2025 +0100

    I18n: Update po/LINGUAS list

commit f0b32a839885bc3ce9acae25691d3b1fd69b1abd
Author: Anonymous <noreply@xfce.org>
Date:   Sat Dec 13 00:47:01 2025 +0100

    I18n: Add new translation vi (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5e443e5de0c92ed405265f18a98446f651c4e331
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 9 09:52:44 2025 +0100

    build: Fix typo in optimization level
    
    So --buildtype=minsize is properly handled as an optimized build.

commit 8cd69f610a72afd0c26d726f58d30050c5bce60a
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 5 00:45:50 2025 +0100

    I18n: Update translation ar (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 45057d1c41d537791f638755dba307483a917553
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 3 00:45:51 2025 +0100

    I18n: Update translation it (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3a9fe03c49cf3f32eabeded2348b23d729667f9c
Author: Anonymous <noreply@xfce.org>
Date:   Mon Oct 27 00:46:37 2025 +0100

    I18n: Update translation sv (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit bc96b103bc98798d6bd7012c4b68c310359d580e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Oct 6 07:55:16 2025 +0200

    XfwWorkspaceWayland: Add missing sanity check
    
    Closes: #53
    Fixes: 930c32a24da39bc461cc51422a06609512a45b68

commit d67160222b0a0606c220d575e5d8612c5fbdf184
Author: Anonymous <noreply@xfce.org>
Date:   Sun Sep 21 00:46:01 2025 +0200

    I18n: Update po/LINGUAS list

commit e3bad6a4702b54e6bd1d4b1c96f994fef8a0f3ec
Author: Anonymous <noreply@xfce.org>
Date:   Sun Sep 21 00:46:01 2025 +0200

    I18n: Add new translation th (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit de46de35304578597dbf98e6aa22ec6adc73a710
Author: Anonymous <noreply@xfce.org>
Date:   Sun Sep 21 00:46:01 2025 +0200

    I18n: Add new translation eo (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f4e0a453ade03ef0e73578a5bb836664b75ca9f8
Author: Anonymous <noreply@xfce.org>
Date:   Thu Sep 18 00:46:01 2025 +0200

    I18n: Update translation nb (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 56f9de0736150c88f0b5f04a71aa73e502c1c6a7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Sep 4 09:38:28 2025 +0200

    XfwWindowX11: Readjust entire monitor list when one is added/removed
    
    The coordinates of the other monitors have generally changed.
    
    Fixes: #52

commit fe1bd5876cac9613abae3d555ea057ef8b4fb8a0
Author: Anonymous <noreply@xfce.org>
Date:   Mon Sep 8 12:46:23 2025 +0200

    I18n: Update translation pt_BR (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit eda46893fe17c90e9853505078422e1c8ff7e96e
Author: Anonymous <noreply@xfce.org>
Date:   Fri Sep 5 00:47:49 2025 +0200

    I18n: Update po/LINGUAS list

commit 8f46cbceb67d852cb5517d1c687ea8bbe7d8016e
Author: Anonymous <noreply@xfce.org>
Date:   Fri Sep 5 00:47:49 2025 +0200

    I18n: Add new translation ug (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit fab83c6b763873b0b11f1e8443827fb3325f197c
Author: Anonymous <noreply@xfce.org>
Date:   Fri Aug 29 00:45:57 2025 +0200

    I18n: Update translation cs (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f1872ca52bc7705af121c2e9981a12d1e13cf6ff
Author: Anonymous <noreply@xfce.org>
Date:   Wed Aug 27 12:45:47 2025 +0200

    I18n: Update translation da (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d834b3ab501f37580f9bd5cdea906ea3a053dc45
Author: Anonymous <noreply@xfce.org>
Date:   Sun Aug 24 12:47:06 2025 +0200

    I18n: Update translation oc (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8a1fd0c18256f6eab9b24129ffe7778a1ddcc486
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Aug 16 16:08:48 2025 +0200

    autotools-build: Add *-docs.xml.in to EXTRA_DIST
    
    Closes: #51
    Fixes: 9986d6f60d61129938fbda5aa439afceb3705ae6

commit ac2642a6dd55442a98d0e0fa3f58bbac9b26bb18
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Aug 14 09:19:02 2025 +0200

    Back to development

commit 3831d28015c52ede7c0db908946be62fa918692d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Aug 14 09:05:29 2025 +0200

    Updates for release

commit d8a9aed4dfce80596b3581082b21f433b40740f9
Author: Anonymous <noreply@xfce.org>
Date:   Sat Aug 9 00:45:46 2025 +0200

    I18n: Update translation uk (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2c507a1149ae360d9aa66de5f01be414a77deb5c
Author: Anonymous <noreply@xfce.org>
Date:   Fri Aug 1 12:46:00 2025 +0200

    I18n: Update translation en_GB (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 102a06d626e861b019663c56835987f74d8f2b24
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Jul 28 22:16:25 2025 +0200

    XfwMonitorWayland: Delay monitor finalization until gdk data are set
    
    There are situations like #50 where xfw_monitor_get_gdk_monitor()
    reproducibly issues a critical warning because XfwScreen::monitor-added
    is emitted before gdk has filled in all GdkMonitor connectors. This
    should avoid the problem in most cases.

commit 83a21765c0be8c0ca574f7a24e7f56e3b4f082e2
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jul 27 16:14:51 2025 +0200

    XfwSeatWayland: Store global name for matching when seat is removed
    
    Same as 519ce5b2a9754160d57f0265de0f1431c062181c.

commit 7aa8d457f6690c2ea9a540c49525c5f7bb556020
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jul 27 11:03:12 2025 +0200

    XfwMonitorWayland: Fix release order in _global_removed()
    
    When the output was removed by the server before sending its properties,
    and therefore before the monitor had been added to XfwScreen's list of
    monitors (retaining a reference), the monitor was freed as soon as the
    `g_hash_table_iter_remove(&iter)` instruction was issued, so
    `monitor->output` was freed in `_finalize()`, and there was therefore a
    double free in `g_clear_pointer(&monitor->output, ...`.
    
    So `g_clear_pointer(&monitor->output, ...` must be done before
    `g_hash_table_iter_remove(&iter)`, but this change also reorders the set
    of operations in `_global_removed()`, so that they are performed in
    reverse order to the reference additions.
    
    Fixes: #49

commit db393349935c866bcaf966418ea13ec5c2ecda3e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Jul 26 23:23:49 2025 +0200

    XfwMonitorManagerWayland: Use g_hash_table_iter_remove when iterating

commit 519ce5b2a9754160d57f0265de0f1431c062181c
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jul 25 17:12:28 2025 +0200

    XfwMonitorWayland: Store global name for matching when output is removed
    
    The name from registry_global() and the id from wl_proxy_get_id() on the
    proxy got from wl_registry_bind() are two different things.

commit 16f00b2ec3b1608ff50110f6776acd46a7c9633c
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jul 25 22:40:30 2025 +0200

    XfwScreenWayland: Rename id to name in registry_global(_remove)?

commit e59a1d5142f8a8a6d9f79a8fb1e0e24227d1090f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Jul 26 11:33:48 2025 +0200

    XfwMonitorWayland: Don't make XfwScreen emit signal with null monitor
    
    This can cause segfaults, etc. XfwScreen could also check this, but it
    seems odd to provide a non-null list with all null elements in this
    case.

commit 6174eeb870a5f2d5063b4605aea955938cffdb30
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jul 25 20:22:42 2025 +0200

    XfwWorkspaceGroupWayland: Connect to XfwScreen::monitor-(added|removed)
    
    When an output is created or deleted, the output_(enter|leave) event may
    be received before the output has been added to the XfwScreen output
    list, so you also need to connect to XfwScreen::monitor-(added|removed)
    to make sure you have an up-to-date monitor list.

commit 297b05074dafa45d3681667bbf3d5c6e409df6ab
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jul 25 12:46:16 2025 +0200

    I18n: Update translation el (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8302bdf8c4079fca7d40c2ba452658ddd8d5e4af
Author: Anonymous <noreply@xfce.org>
Date:   Thu Jul 24 00:46:03 2025 +0200

    I18n: Update translation zh_CN (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0b69be30f11dcfcd4c38d2805cde95283cb56bcf
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jul 23 00:45:59 2025 +0200

    I18n: Update translation pt_BR (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit eb536361a877ba876cedd7b94f7aa15c7fabde85
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jul 23 00:45:59 2025 +0200

    I18n: Update translation es (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 03d974734b0a7d35dd618cbc8cc0cfe1954f42fe
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jul 22 12:45:50 2025 +0200

    I18n: Update translation sr (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1d9c403d5bfb0b4f96b2ec6155159812df466584
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jul 22 00:45:54 2025 +0200

    I18n: Update translation pt (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 03e5ff05b9bd3e37d3c1cf4b0b7424cebb623328
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jul 21 12:45:59 2025 +0200

    I18n: Update translation ca (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e9c0e89df170327d0475a11c517e2ec085145c0b
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jul 21 00:45:49 2025 +0200

    I18n: Update translation bg (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4f7621a37801b81a801cdf2a22f54100144ca0bb
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jul 20 12:45:45 2025 +0200

    I18n: Update translation fr (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2890a3559c806b64c0c0cd1005345d6b157917cd
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jul 20 12:45:45 2025 +0200

    I18n: Update translation de (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4055b30982a8b133d31125e2d079b8bdba144f65
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jul 20 00:48:52 2025 +0200

    I18n: Update translation ro (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4561637398535b4ca767f120aafb5b100d6ff2f0
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jul 20 00:48:52 2025 +0200

    I18n: Update translation pl (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9d2d467d4b7b108b70e76afee2409188d89a07a0
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jul 20 00:48:52 2025 +0200

    I18n: Update translation nl (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9ed0cbf1cb52833cb950b2b2c1442b4e027f8754
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jul 20 00:48:52 2025 +0200

    I18n: Update translation lt (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit fe28223cde43c1e2213f306d99c5183001a7a1c5
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jul 20 00:48:52 2025 +0200

    I18n: Update translation ja (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ba13d33e73718dc06b1fcb272dbc0dc4dae658d0
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jul 20 00:48:52 2025 +0200

    I18n: Update translation et (100%).
    
    20 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4de8c9e3bf7f93aef8babff22d35b8059e3e2837
Author: Erika <rrika9@yahoo.com>
Date:   Sat Jul 19 03:07:27 2025 +0000

    Add mnemonics for workspace names in workspace menu

commit de28f09cb51abb39c4b6e95c646c49b633cfd2d5
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jul 18 12:51:00 2025 +0200

    Revert "Update README after switchover to meson"
    
    This reverts commit 27aee66df18e5d281a77537e42fe86fb7e5eaea4.
    
    Let's not put this in a tarball when we're still using autotools by
    default.

commit 27aee66df18e5d281a77537e42fe86fb7e5eaea4
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jul 18 12:31:27 2025 +0200

    Update README after switchover to meson

commit 0ba4060339b324499948ecd7894dd961bf3dad40
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sun Jul 13 10:53:48 2025 -0700

    Destroy wl_output & xdg_output together when wl_output global removed
    
    This should hopefully ensure we don't get any more events from either
    object after we finalize the XfwMonitorWayland instance.
    
    Closes #48

commit 047c7b50873fbf143aff492b822668feb34438dc
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jul 13 10:53:45 2025 +0200

    XfwWorkspaceWayland: Fix typo

commit 1c60bfc6e91bf701cb7bdefdab3490df9544882a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jul 8 20:02:31 2025 +0200

    XfwWorkspace: Fix id property management
    
    * Do not use g_object_set() on wayland (keep id only readable)
    * No reason to notify an id change on x11 when workspace name changes
    
    Related: https://github.com/YaLTeR/niri/pull/1800#issuecomment-2973145964
    Completes: bb368d007a0cdb70d2fe187f758b5a6400993441

commit e7a83b076ad4f24fd1d08e5b40017dbe16722171
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jul 11 23:28:36 2025 +0200

    Defer binding to the workspace manager until after we have the outputs
    
    As done for the toplevel manager in 5a3648f6.
    
    Fixes: #47

commit a0b3c31975c37ef56c8f5b396e001350d1d94338
Author: Anonymous <noreply@xfce.org>
Date:   Sat May 31 12:46:20 2025 +0200

    I18n: Update po/LINGUAS list

commit 62e33e65c573c27fcc6f9df8f3fbe2ed7a0f7c6e
Author: Anonymous <noreply@xfce.org>
Date:   Sat May 31 12:46:19 2025 +0200

    I18n: Add new translation ar (100%).
    
    19 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 07f529356caa92961c1858f29e2a336ca88e87fc
Author: Evan Maddock <maddock.evan@vivaldi.net>
Date:   Thu May 29 19:22:33 2025 +0000

    meson-build: Add Vala language bindings option
    
    Signed-off-by: Evan Maddock <maddock.evan@vivaldi.net>

commit c5c611253d0cd868ec385f2cc07594c192974c1d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed May 21 10:21:26 2025 +0200

    Back to development

commit 4712dcb4877425472a28d3ea130ba4b409637910
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed May 21 10:09:40 2025 +0200

    Updates for release

commit 1996527bd01d546ee47dd9d7fee6e29e1cdfa37d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon May 5 15:12:09 2025 +0200

    Support absolute icon paths
    
    Related: https://forum.xfce.org/viewtopic.php?id=18538

commit 7380816b40fa4045c0e5c9f7f08cccb123fb593e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Apr 27 20:07:46 2025 +0200

    meson-build: Add GNU visibility files to sources
